Bug 224144 - Disable WebSQL in WebKitTestRunner
Summary: Disable WebSQL in WebKitTestRunner
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-02 22:10 PDT by Ryosuke Niwa
Modified: 2021-05-18 16:37 PDT (History)
6 users (show)

See Also:


Attachments
Patch (22.82 KB, patch)
2021-04-02 23:13 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Fixed more tests (29.29 KB, patch)
2021-04-05 12:59 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2021-04-02 22:10:10 PDT
Disable WebSQL in WebKitTestRunner completely.

These tests had already been disabled in iOS and macOS in https://trac.webkit.org/r255783
but we haven't done so for all other ports.
Comment 1 Ryosuke Niwa 2021-04-02 23:13:22 PDT
Created attachment 425081 [details]
Patch
Comment 2 Ryosuke Niwa 2021-04-02 23:26:11 PDT
<rdar://76179281>
Comment 3 Ryosuke Niwa 2021-04-05 12:59:10 PDT
Created attachment 425192 [details]
Fixed more tests
Comment 4 Ryosuke Niwa 2021-04-06 02:51:55 PDT
Comment on attachment 425192 [details]
Fixed more tests

Clearing flags on attachment: 425192

Committed r275499 (236156@main): <https://commits.webkit.org/236156@main>
Comment 5 Ryosuke Niwa 2021-04-06 02:51:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Robert Jenner 2021-05-18 16:36:02 PDT
"storage/websql/alter-to-info-table.html"

Had test expectations set that was over-riding the [ Skip ] expectation. Remove the expectations here:
https://trac.webkit.org/changeset/277674/webkit

Test is a constant failure on wk1 across all platforms. The expectation to skip the storage/websql folder has only been set for wk2. I set a test expectation to skip it for Mac wk1 here:
https://trac.webkit.org/changeset/277691/webkit
Comment 7 Ryosuke Niwa 2021-05-18 16:36:57 PDT
(In reply to Robert Jenner from comment #6)
> "storage/websql/alter-to-info-table.html"
> 
> Had test expectations set that was over-riding the [ Skip ] expectation.
> Remove the expectations here:
> https://trac.webkit.org/changeset/277674/webkit
> 
> Test is a constant failure on wk1 across all platforms. The expectation to
> skip the storage/websql folder has only been set for wk2. I set a test
> expectation to skip it for Mac wk1 here:
> https://trac.webkit.org/changeset/277691/webkit

Thanks!
Comment 8 Ryosuke Niwa 2021-05-18 16:37:08 PDT
It's strange that EWS didn't catch this.